<?xml version="1.0"?>

<st-source>
<!-- Changes in change set PV -->
<time-stamp>From VisualWorks®, 7.4.1 of May 30, 2006 on March 28, 2008 at 6:57:27 pm</time-stamp>


<methods>
<class-id>PROVISO.UBA.MetricWriter</class-id> <category>private</category>

<body package="NGUBA-Application" selector="heartbeatStreamNameForTimestamp:collectorNumber:dataType:">heartbeatStreamNameForTimestamp: aTimestampNumber  collectorNumber: aCollectorNumber dataType: aDataType
	
	^self nameTemplate expandMacrosWithArguments: 
		(Array 
			with: (PvTimestamp fromSeconds: self endOfPeriod) asLongString
			with: (PvTimestamp fromSeconds: aTimestampNumber) asLongString
			with: self nextFormattedFileNumber
			with: aCollectorNumber
			with: aDataType
			with: EncodingBofStream typeString)</body>
</methods>


<methods>
<class-id>PROVISO.UBA.MetricWriter</class-id> <category>private</category>

<body package="NGUBA-Application" selector="writeHeartbeatFileFor:">writeHeartbeatFileFor: aCollectorNumber
	
	| filename fullFilename |
	filename := self heartbeatStreamNameForTimestamp: self endOfPeriod collectorNumber: aCollectorNumber dataType: 'BEAT'.
	fullFilename := self outputDirectory, filename.
	fullFilename writeStream close.
	^fullFilename</body>
</methods>



</st-source>
